using System;

class Pecina
{
    static void Main()
    {
        string prviRed = Console.ReadLine();
        string[] prviDelovi = prviRed.Split();
        int brojStalaktita = int.Parse(prviDelovi[0]);
        int visinaPerice = int.Parse(prviDelovi[1]);

        string drugiRed = Console.ReadLine();
        string[] deloviVisina = drugiRed.Split();
        int[] visineStalaktita = new int[brojStalaktita];

        for (int i = 0; i < brojStalaktita; i++)
        {
            visineStalaktita[i] = int.Parse(deloviVisina[i]);
        }

        int indeksGdeSeZaustavlja = -1;
        for (int i = 0; i < brojStalaktita; i++)
        {
            if (visineStalaktita[i] <= visinaPerice)
            {
                indeksGdeSeZaustavlja = i + 1;
                break;
            }
        }

        Console.WriteLine(indeksGdeSeZaustavlja);
        Console.ReadKey();
    }
}